function demoxotM(x,o,t,r,S,movieS,memory,verbose)
# usage 
# x is a M * N matrix where M is the dimension of the space
# and N is the number of data points.
# o is a N vector
# so is t
# r is a vector of length M
# do a demo using inputs x, etc.
  if (nargin != 6 && nargin != 7 && nargin != 8)
    usage ("demoxot(x,o,t,r,S,movieS[,memory[,verbose]])");
  endif
  if (nargin != 7  && nargin != 8)
	memory = 0.8 ; 
  endif
  if ( nargin != 8)
	verbose = 1 ; 
  endif

global jitter ;
# jitter = 1e-4 ;
showdataalone = 0 ;

s=size(x); X=s(2);
# S=10;                     # number of samples
# movieS=3;                     # number of samples
style="@13";
lstyle  = "-@63" ; # style for line samples
plstyle = "-@53" ; # style for line samples, posterior
mstyle = "-4" ; # style for mean 
#  initgnu();			# set up graphics done elsewhere
#
# Make covariance matrix
#
	if ( verbose >= 1 ) 
		C = covM( x, x , r , jitter )
		input("press return");
	else 
		C = covM( x, x , r , jitter ) ;
	endif
CIM ; 

# initialize one random sample and do a movie
v=randn(size(x))*M ;

# Make S samples and show them - from prior
v=randn(S,X)*M ;

  splot ( x,v,lstyle)






