#
# program to train single neuron as classifier
#

# K is input dimension
# w is weight vector (1..K)
# x[1..N,1..K] is matrix of input vectors s.t. y = f(a) is vector of outputs
#  where a = x * w 
# t[1..N] is the targets
# learning rule is 
# e = t-y
# dw = eta  x' * e  (x' means transpose x) 
# 
# L is number of loops
# 

sigmoid

N = 3;
K = 2;
L = 10;

x = [ 0 , 1 ; 1 , 0 ; 1 , 1 ]
t = [ 0 ; 1 ; 1 ] 

w = [ 0.1 ; -0.1 ]

a = x * w 
y = sigmoid(a)
e = t - y 
gw = x' * e
w = w + eta * gw 

function ret = sigmoid ( v )
# sigmoid function 1/1=exp(v)
	ret = 1.0 ./ ( 1.0 .+ exp ( - v ) ) ;
endfunction

function w = learn ( w , L )
	global x ;
	global t ;
	for l = 1:L
		a = x * w  ;
		y = sigmoid(a) ;
		e = t - y 
		gw = x' * e ;
		w = w + eta * gw  ;
	endfor
endfunction

load data
global dT = 10;
global T = 1 ;
w = [ -0.1 ; 0.1 ] ;
w=trainlog(w,200,0.07,0.0)
plot ( wl(1,:) , wl(2,:) )
activ(w)
w=trainlog(w,200,0.07,1.0)
plot ( wl(1,:) , wl(2,:) )
activ(w)


load -force /home/mackay/_applications/characters/octave.data/trainE
global dT = 100;
global T = 1 ;
w = zeros ( 256,1) ;
wl=[]
w=trainlog(w,200,0.07,0.0) ;
save w w
# hintond.p rows=16 min=-1 max=1 16 w
# w=trainlog(w,200,0.07,0.1)
activ(w)
load -force /home/mackay/_applications/characters/octave.data/test

18 errs
train a bit more, see if err gets worse
no not much.

try some w.d.

w=trainlog(w,200,0.07,0.1);

no diff.

load -force /home/mackay/_applications/characters/octave.data/testE

